"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Timestamp;

var _react = _interopRequireWildcard(require("react"));

var _dayjs = _interopRequireDefault(require("dayjs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

/** Formats a JavaScript object to a human-readable format */
function Timestamp(_ref) {
  var value = _ref.value;
  var result = (0, _dayjs.default)(value).format('MMM D, HH:mm');
  return _react.default.createElement(_react.Fragment, null, result);
}