"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SyntaxHighlightedCode;

var _react = _interopRequireWildcard(require("react"));

var _PrismCode = _interopRequireDefault(require("./PrismCode"));

require("prismjs/themes/prism-okaidia.css");

require("./prism");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function SyntaxHighlightedCode(_ref) {
  var children = _ref.children;
  // eslint-disable-next-line no-unused-vars
  var element = (0, _react.useRef)(null);

  var handleRef = function handleRef(ref) {
    return element = ref;
  };

  return _react.default.createElement("pre", {
    ref: handleRef
  }, _react.default.createElement(_PrismCode.default, {
    className: "language-jsx"
  }, children));
}