"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.filterInt = filterInt;

/** Tests a value if it is a number; otherwise return `NaN`. */
function filterInt(value) {
  if (/^(-|\+)?([0-9]+|Infinity)$/.test(value)) {
    return Number(value);
  }

  return NaN;
}