"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWidthAsPercentOfTotalWidth = getWidthAsPercentOfTotalWidth;

/** Returns the width of a percent of total widths, as an integer */
function getWidthAsPercentOfTotalWidth(percent, totalWidth) {
  return parseInt(totalWidth * (percent / 100), 10);
}