"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = List;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Ul = _styledComponents.default.ul.withConfig({
  displayName: "List__Ul",
  componentId: "sc-13xiioy-0"
})(["padding:0;margin:0;"]);
/** Container for a set of list sub-items */


function List(_ref) {
  var component = _ref.component,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ["component", "children"]);

  var Component = component;

  if (component === 'ul') {
    Component = Ul;
  }

  return _react.default.createElement(Component, props, children);
}

List.defaultProps = {
  component: 'ul'
};