"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ListItem;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../constants");

var _Typography = _interopRequireDefault(require("../Typography"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Disc = _styledComponents.default.div.withConfig({
  displayName: "ListItem__Disc",
  componentId: "kjlilr-0"
})(["min-width:6px;max-width:6px;height:6px;background-color:", ";border-radius:50%;margin-right:1.1875em;"], _constants.COLOR_PRIMARY);

var Li = _styledComponents.default.li.withConfig({
  displayName: "ListItem__Li",
  componentId: "kjlilr-1"
})(["display:flex;flex-direction:row;list-style:none;padding:0 0 1.25em;&:last-child{padding:0;}"]);
/** A sub-item of <List /> */


function ListItem(_ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, ["children"]);

  return _react.default.createElement(Li, props, _react.default.createElement(Disc, null), _react.default.createElement(_Typography.default, {
    variant: "p"
  }, children));
}