"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ListItemMoreOptionsAction;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _CloseIcon = _interopRequireDefault(require("../../CloseIcon"));

var _ListItemMoreOptionsActionButton = _interopRequireDefault(require("./ListItemMoreOptionsActionButton"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Wrapper = _styledComponents.default.div.withConfig({
  displayName: "ListItemMoreOptionsAction__Wrapper",
  componentId: "sc-146r9hk-0"
})(["display:flex;flex-direction:row;align-items:center;"]);

var ButtonWrapper = _styledComponents.default.div.withConfig({
  displayName: "ListItemMoreOptionsAction__ButtonWrapper",
  componentId: "sc-146r9hk-1"
})(["display:flex;flex-direction:row;align-items:center;margin-right:1.1875em;"]);
/** Container for a action item buttons */


function ListItemMoreOptionsAction(_ref) {
  var actions = _ref.actions;
  return _react.default.createElement(Wrapper, null, _react.default.createElement(ButtonWrapper, null, actions.map(function (action) {
    return _react.default.createElement(_ListItemMoreOptionsActionButton.default, Object.assign({
      key: action.label
    }, action));
  })), _react.default.createElement(_CloseIcon.default, null));
}