"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = PrismCode;

var _react = _interopRequireWildcard(require("react"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

/* global Prism */
function PrismCode(_ref) {
  var async = _ref.async,
      className = _ref.className,
      Wrapper = _ref.component,
      children = _ref.children;
  var domNode = (0, _react.useRef)(null);
  (0, _react.useEffect)(function () {
    Prism.highlightElement(domNode, async);
  });

  var handleRefMount = function handleRefMount(ref) {
    return domNode = ref;
  };

  return _react.default.createElement(Wrapper, {
    ref: handleRefMount,
    className: className
  }, children);
}

PrismCode.defaultProps = {
  component: 'code'
};