"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.iconDark = iconDark;

var _constants = require("../constants");

/** Determines the color of the icon depending on the background. */
function iconDark(isDark) {
  var colorWhenBgDark = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _constants.COLOR_WHITE;
  var colorWhenBgLight = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : _constants.COLOR_DARK;
  return isDark ? colorWhenBgDark : colorWhenBgLight;
}